Subject: 31.0.50; Tramp does not parse ipv6 address with port correctly

From: Yikai Zhao <[email-masked]>
Date: Sat, 06 Jul 2024 20:22:05 +0800

To reproduce:

  (tramp-dissect-file-name "/ssh:[2001::abcd]#2202:/tmp/xxx")

Expected result: the result "port" should be "2202"

Current result: the result "port" is empty

In GNU Emacs 31.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
 3.22.30, cairo version 1.15.10) of 2024-07-06 built on a40438a00efa
Repository revision: bd86a6c4fde1aa42ea9e8b5434f0cb63f8d52684
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101013
System Description: Gentoo Linux